﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace XamComboEditorSelectedItemTest
{
    public class ViewModel : INotifyPropertyChanged
    {
        private SampleData _selected;

        public List<SampleData> Data { get; set; }

        public SampleData SelectedData
        {
            get { return _selected; }
            set
            {
                if(_selected != value)
                {
                    _selected = value;
                    NotifyPropertyChanged();
                }
            }
        }

        public ViewModel()
        {
            Data = new List<SampleData>();

            for(int i=0; i<10; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Label = "Combo Item " + i.ToString()
                });
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged([CallerMemberName] String propertyName = "")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
    }
}
